Skip to main content
GET
/
v1
/
job-recipes
/
{uuid}
Get Job Recipe
curl --request GET \
  --url https://api.compute.x.io/v1/job-recipes/{uuid}
{
  "object": "job_recipe",
  "created_at": "2023-12-25",
  "updated_at": "2023-12-25",
  "name": "<string>",
  "description": "<string>",
  "visibility": "ARCHIVED",
  "payload": {
    "title": "<string>",
    "task": "BATCH",
    "parameters": {
      "parameters": {
        "allowed_ips": [
          "<string>"
        ],
        "env": {},
        "host": "<string>",
        "image": "<string>",
        "imagesrc": "<string>",
        "ports": [
          123
        ],
        "secret": "<string>",
        "sshkey": "<string>",
        "tag": "<string>",
        "user": "<string>",
        "volumes": [
          {
            "image": "<string>",
            "mount": "<string>",
            "registry": "<string>",
            "secret": "<string>",
            "tag": "<string>",
            "user": "<string>"
          }
        ]
      },
      "type": "docker"
    },
    "min_vram_gb": 123,
    "min_ram_gb": 123,
    "min_storage_gb": 123,
    "cpu_count": 4,
    "gpu_count": 1,
    "description": "<string>",
    "max_timeout_assign_ms": 123,
    "max_timeout_run_ms": 123,
    "max_timeout_start_ms": 123,
    "gpu_name": "RTX 3090",
    "gpu_registry_uuid": "01234567-89ab-cdef-0123-456789abcdef",
    "image_size_bytes": 2147483648,
    "max_node_count": 123,
    "max_retry_count": 123
  },
  "is_official": true,
  "last_used_at": "2023-12-25",
  "uuid": "<string>",
  "quickstart_md": "<string>",
  "input_schema": [
    {
      "key": "<string>",
      "type": "number",
      "label": "<string>",
      "required": true,
      "description": "<string>",
      "placeholder": "<string>",
      "default_value": "<string>",
      "options": [
        {
          "label": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "thumbnail_url": "<string>",
  "is_owner": true,
  "forked_from_recipe_uuid": "<string>"
}

Path Parameters

uuid
string
required

Response

Job recipe details

object
enum<string>
required
Available options:
job_recipe
created_at
string<date> | null
required
updated_at
string<date> | null
required
name
string
required
description
string | null
required
visibility
enum<string>
required
Available options:
ARCHIVED,
PRIVATE,
PUBLIC,
UNLISTED
payload
object
required
is_official
boolean
required
last_used_at
string<date> | null
required
uuid
string | null
quickstart_md
string | null
input_schema
object[] | null
thumbnail_url
string<uri> | null
is_owner
boolean
forked_from_recipe_uuid
string | null